Package org.apache.solr.client.solrj.request

# Class SolrPing

java.lang.Object
org.apache.solr.client.solrj.SolrRequest<SolrPingResponse>
org.apache.solr.client.solrj.request.CollectionRequiringSolrRequest<SolrPingResponse>
org.apache.solr.client.solrj.request.SolrPing

All Implemented Interfaces:
  `Serializable`

public class SolrPing extends CollectionRequiringSolrRequest<SolrPingResponse>
Verify that there is a working Solr core at the URL of a `SolrClient`. To use this class, the solrconfig.xml for the relevant core must include the request handler for `/admin/ping`.

Since:
  solr 1.3
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.ApiVersion, SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

## Field Summary

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS`

## Constructor Summary

Constructors
Constructor
Description
`SolrPing()`
Create a new SolrPing object.

## Method Summary

Modifier and Type
Method
Description
`protected SolrPingResponse`
`createResponse(NamedList<Object> namedList)`
Create a new SolrResponse to hold the response from the server.
`ModifiableSolrParams`
`getParams()`
The parameters for this request; never null.
`SolrPing`
`removeAction()`
Remove the action parameter from this request.
`SolrPing`
`setActionDisable()`
Set the action parameter on this request to enable.
`SolrPing`
`setActionEnable()`
Set the action parameter on this request to enable.
`SolrPing`
`setActionPing()`
Set the action parameter on this request to ping.

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionRequiringSolrRequest

`requiresCollection`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getApiVersion, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getContentWriter, getHeaders, getMethod, getPath, getPreferredNodes, getQueryParams, getRequestType, getResponseParser, getStreamingResponseCallback, getUserPrincipal, process, process, processWithBaseUrl, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setRequestType, setResponseParser, setStreamingResponseCallback, setUserPrincipal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SolrPing

public SolrPing()
Create a new SolrPing object.

## Method Details

### createResponse

protected SolrPingResponse createResponse(NamedList<Object> namedList)
Description copied from class: `SolrRequest`
Create a new SolrResponse to hold the response from the server. If the response extends `SolrResponse`, then there's no need to use the arguments, as `SolrResponse.setResponse(NamedList)` will be called right after this method.

Specified by:
  `createResponse` in class `SolrRequest<SolrPingResponse>`
Parameters:
  `namedList` - from `SolrClient.request(SolrRequest, String)`.

### getParams

public ModifiableSolrParams getParams()
Description copied from class: `SolrRequest`
The parameters for this request; never null. The runtime type may be mutable but modifications may not affect this `SolrRequest` instance, as it may return a new instance here every time. If the subclass specifies the response type as `ModifiableSolrParams`, then one can expect it to change this request. If the subclass has a setter then one can expect this method to return the value set.

Specified by:
  `getParams` in class `SolrRequest<SolrPingResponse>`

### removeAction

public SolrPing removeAction()
Remove the action parameter from this request. This will result in the same behavior as `SolrPing#setActionPing()`. For Solr server version 4.0 and later.

Returns:
  this

### setActionDisable

public SolrPing setActionDisable()
Set the action parameter on this request to enable. This will delete the health-check file for the Solr core. For Solr server version 4.0 and later.

Returns:
  this

### setActionEnable

public SolrPing setActionEnable()
Set the action parameter on this request to enable. This will create the health-check file for the Solr core. For Solr server version 4.0 and later.

Returns:
  this

### setActionPing

public SolrPing setActionPing()
Set the action parameter on this request to ping. This is the same as not including the action at all. For Solr server version 4.0 and later.

Returns:
  this